INSERT INTO xcart_config (name, comment, value, category, orderby, type, defvalue, variants) VALUES ('default_currency', 'Select default currency', 'EUR', 'Multi_Currency', 10, 'text', 'EUR', '');

INSERT INTO xcart_config (name, comment, value, category, orderby, type, defvalue, variants) VALUES ('currency_import_file', 'csv file http address - default http://rss.timegenie.com/forex.txt', 'http://rss.timegenie.com/forex.txt', 'Multi_Currency', 20, 'text', 'http://rss.timegenie.com/forex.txt', '');

INSERT INTO xcart_config (name, comment, value, category, orderby, type, defvalue, variants) VALUES ('currency_delimiter', 'CSV delimiter', '|', 'Multi_Currency', 30, 'text', '|', '');

INSERT INTO xcart_modules (module_name, module_descr, active) VALUES ('Multi_Currency','This module adds a multi currency support.','Y');

CREATE TABLE xcart_currency_rate (
	code CHAR( 3 ) NOT NULL DEFAULT '',
	rate DECIMAL( 12, 5 ) NOT NULL DEFAULT '1.00000',
	active CHAR( 1 ) NOT NULL DEFAULT 'N',
	order_by INT( 11 ) NOT NULL DEFAULT '0',
	auto_rate decimal( 12, 5 ) DEFAULT NULL,
	PRIMARY KEY  (code)
) TYPE=MyISAM;

UPDATE xcart_country_currencies SET code = 'RSD' WHERE country_code = 'RS';
UPDATE xcart_currencies SET code = 'RSD' WHERE code = 'YUM';

INSERT INTO xcart_currency_rate (code) SELECT code FROM xcart_currencies;

UPDATE xcart_currency_rate SET active = 'Y' WHERE code = (SELECT value FROM xcart_config WHERE name = 'currency_symbol') OR code = (SELECT xcart_currencies.code FROM xcart_currencies INNER JOIN xcart_config ON xcart_currencies.symbol = xcart_config.value AND xcart_config.name = 'currency_symbol' LIMIT 1);


CREATE TABLE xcart_customer_currency (
	login VARCHAR ( 32 ) NOT NULL DEFAULT '',
	currency CHAR( 3 ) NOT NULL DEFAULT '',
	PRIMARY KEY  (login)
) TYPE=MyISAM;

